diff --git a/doc/src/sgml/ref/create_foreign_table.sgml b/doc/src/sgml/ref/create_foreign_table.sgml
index ad91072..93f910f 100644
*** a/doc/src/sgml/ref/create_foreign_table.sgml
--- b/doc/src/sgml/ref/create_foreign_table.sgml
*************** CREATE FOREIGN TABLE [ IF NOT EXISTS ] <
*** 94,100 ****
      <listitem>
       <para>
        The data type of the column. This can include array
!       specifiers. For more information on the data types supported by
        <productname>PostgreSQL</productname>, refer to <xref
        linkend="datatype">.
       </para>
--- 94,101 ----
      <listitem>
       <para>
        The data type of the column. This can include array
!       specifiers, but serial and bigserial can't be used for foreign table.
!       For more information on the data types supported by
        <productname>PostgreSQL</productname>, refer to <xref
        linkend="datatype">.
       </para>
*************** CREATE FOREIGN TABLE [ IF NOT EXISTS ] <
*** 107,112 ****
--- 108,119 ----
       <para>
        The column is not allowed to contain null values.
       </para>
+      <para>
+       Note that NOT NULL constraint on a foreign table column is just
+       a declaration, and doesn't provide any mechanism to prevent null values
+       to be returned.  Foreign data is not checked even on creation of a
+       foreign table, so data provider must guarantee the integrity of data.
+      </para>
      </listitem>
     </varlistentry>
  